package com.ims.eval.controller;


import com.ims.eval.entity.OrganizationEvaluationInfo;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IOrganizationEvaluationInfoService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评指标明细

 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
@Slf4j
@RestController
@RequestMapping("//organization-evaluation-info")
public class OrganizationEvaluationInfoController {


	@Autowired
	private IOrganizationEvaluationInfoService organizationEvaluationInfoService;


	@Autowired
	private HttpServletRequest request;


	/**
	 *
	 * @param organizationEvaluationId 目标责任书id
	 * @return
	 */
	//@ImsPreAuth("eval:organizationEvaluationInfo:view")
	@GetMapping(value = "finishValueList")
	public R finishValueList(
		@RequestParam(value = "organizationEvaluationId", required = false) String organizationEvaluationId,
		@RequestParam(value = "dept", required = false) String dept) {
		Map list = organizationEvaluationInfoService.finishValueList(organizationEvaluationId, dept, request);
		return R.ok().data(list);
	}


	/**
	 * 批量修改
	 *
	 * @param OrganizationEvaluationInfo
	 * @return
	 */

	//@ImsPreAuth("eval:organizationEvaluationInfo:edit")
	@PostMapping(value = "/saveBatchDto")
	@ApiOperation(value = "批量新增(修改)", notes = "批量新增（修改）")
	public R saveBatchDto(@RequestBody List<OrganizationEvaluationInfo> OrganizationEvaluationInfo) {

		try {
			boolean b = organizationEvaluationInfoService.saveBatchDto(OrganizationEvaluationInfo);
			if (b) {
				return R.ok().data(b);
			} else {
				return R.error().data("保存失败！");
			}
		} catch (Exception e) {
			log.error("错误",e);
			return R.customError(e.getMessage()).data("失败！");
		}
	}


}
