package com.ims.eval.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.YearGroupCoefficient;
import com.ims.eval.entity.YearOperatingCoefficient;
import com.ims.eval.entity.dto.request.IndicatorDictionaryDTO;
import com.ims.eval.entity.dto.request.YearGroupCoefficientDTO;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IIndicatorDictionaryService;
import com.ims.eval.service.IIndicatorService;
import com.ims.eval.service.IYearGroupCoefficientService;
import com.ims.eval.service.IYearOperatingCoefficientService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * <p>
 * 年度经营业绩系数明细 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-17
 */
@RestController
@RequestMapping("//year-operating-coefficient")
public class YearOperatingCoefficientController {


	@Autowired
	private IYearOperatingCoefficientService yearOperatingCoefficientService;


	/**
	 * year
	 * @param pageNum
	 * @param pageSize
	 * @param id
	 * @param organizationName
	 * @param organizationId
	 * @param yearGroupCoefficientId
	 * @param binSection
	 * @param year
	 * @return
	 */
	//@ImsPreAuth("eval:yearOperatingCoefficient:view")
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "pageNum") Integer pageNum,
				  @RequestParam(value = "pageSize") Integer pageSize,
				  @RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "organizationName", required = false) String organizationName,
				  @RequestParam(value = "organizationId", required = false) String organizationId,
				  @RequestParam(value = "yearGroupCoefficientId", required = false) String yearGroupCoefficientId,
				  @RequestParam(value = "binSection", required = false) String binSection,
				  @RequestParam(value = "year", required = false) String year) {
		IPage<YearOperatingCoefficient> list = yearOperatingCoefficientService.list(pageNum, pageSize, id, organizationName, organizationId, yearGroupCoefficientId, binSection,year);
		return R.ok().data(list);
	}

	/**
	 * 查询所有数据
	 * @param id
	 * @param organizationName
	 * @param organizationId
	 * @param yearGroupCoefficientId
	 * @param binSection
	 * @param year
	 * @return
	 */
	//@ImsPreAuth("eval:yearOperatingCoefficient:view")
	@GetMapping(value = "listAll")
	public R listAll(
		@RequestParam(value = "id", required = false) String id,
		@RequestParam(value = "organizationName", required = false) String organizationName,
		@RequestParam(value = "organizationId", required = false) String organizationId,
		@RequestParam(value = "yearGroupCoefficientId", required = false) String yearGroupCoefficientId,
		@RequestParam(value = "binSection", required = false) String binSection,
		@RequestParam(value = "year", required = false) String year) {
		List<YearOperatingCoefficient> list = yearOperatingCoefficientService.listAll(id, organizationName, organizationId, yearGroupCoefficientId, binSection,year);
		return R.ok().data(list);
	}




	/**
	 * 添加
	 *
	 * @param yearOperatingCoefficient
	 * @return
	 */

	//@ImsPreAuth("eval:yearOperatingCoefficient:edit")
	@PostMapping(value = "/save")
	@ApiOperation(value = "新增(修改)", notes = "新增（修改）")
	public R addAll(@RequestBody YearOperatingCoefficient yearOperatingCoefficient) {

		try {
			boolean b = yearOperatingCoefficientService.saveOrUpdate(yearOperatingCoefficient);
			if (b) {
				return R.ok().data(b);
			} else {
				return R.error().data("保存失败！");
			}
		} catch (CustomException e){
			return R.customError(e.getMessage()).data("失败！");
		}
	}






	/**
	 * 批量删除
	 *
	 * @param ids
	 * @return
	 */
	//@ImsPreAuth("eval:yearOperatingCoefficient:remove")
	@PostMapping(value = "/remove/{ids}")
	@ApiOperation(value = "删除", notes = "删除")
	public R deleteAll(@PathVariable("ids") String ids) {
		String[] strings = ids.split(",");
		boolean b = yearOperatingCoefficientService.removeByIds(Arrays.asList(strings));
		if (b) {
			return R.ok().data(b);
		} else {
			return R.error().data("删除失败！");
		}
	}

}
