package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.dto.request.IndicatorDTO;
import com.ims.eval.entity.dto.response.IndicatorResDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
public interface IndicatorMapper extends BaseMapper<Indicator> {

    Indicator selectByCode(@Param("code") String code);

	IPage<Indicator> seleclistPage( Page page,@Param("id") String id,
							@Param("indicatorName") String indicatorName,
							@Param("indicatorCode")  String indicatorCode,
							@Param("binSection") String binSection,
							@Param("binStage") String binStage,
							@Param("dept") String dept,
							@Param("company") String company);

	List<Indicator> seleclistAll(@Param("id") String id,
									@Param("indicatorName") String indicatorName,
									@Param("indicatorCode")  String indicatorCode,
									@Param("binSection") String binSection,
									@Param("binStage") String binStage,
									@Param("dept") String dept,
									@Param("company") String company);


	List<IndicatorResDTO> selectListByIds(@Param("indicatorIds")List<String> indicatorIds);

	IndicatorDTO selectById(@Param("id") String id);



}
