package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单位/部门考评记录
 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationEvaluation extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 考评记录编码
     */
    private String organizationEvaluationCode;

    /**
     * 考评组织名称
     */
    private String organizationName;

    /**
     * 考评组织ID
     */
    private String organizationId;

    /**
     * 考评类别(单位、部门)
     */
    private String organizationType;

    /**
     * 周期
     */
    private String checkCycle;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 考评单位配置id
     */
    private String organizationEvaluationRuleId;

    /**
     * 考核开始时间
     */
    private LocalDate beginDate;

    /**
     * 考核截止时间
     */
    private LocalDate endDate;

    /**
     * 审批状态
     */
    private String stage;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 复审人
     */
    private String reviewPeople;

    /**
     * 复审时间
     */
    private Date reviewPeopleTime;

    /**
     * 复审意见
     */
    private String reviewOpinion;

    /**
     * 终审人
     */
    private String finalReviewPeople;

    /**
     * 终审时间
     */
    private Date finalReviewPeopleTime;

    /**
     * 终审意见
     */
    private String finalReviewOpinion;

    /**
     * 备注
     */
    private String remark;


	/**
	 * 流程实例
	 */
	private String instId;

}
