package com.ims.eval.entity.dto.result;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName : R
 * @Author : xieshengjie
 * @Date: 2021/5/16 16:59
 * @Description : 结果集
 */
@Data
public class R {
    @ApiModelProperty(value = "是否成功")
    private Boolean success;
    @ApiModelProperty(value = "返回码")
    private Integer code;
    @ApiModelProperty(value = "返回消息")
    private String message;
    @ApiModelProperty(value = "总数量")
    private Integer count;
    @ApiModelProperty(value = "返回数据")
    private Object data = new Object();
    private R(){}
    public static R ok(){
        R r = new R();
        r.setSuccess(true);
        r.setCode(ResultCode.SUCCESS);
        r.setMessage("成功");
        return r;
    }
    public static R ok(Integer count){
        R r = new R();
        r.setSuccess(true);
        r.setCode(ResultCode.SUCCESS);
        r.setMessage("成功");
        r.setCount(count);
        return r;
    }
    public static R error(){
        R r = new R();
        r.setSuccess(false);
        r.setCode(ResultCode.ERROR);
        r.setMessage("失败");
        return r;
    }
	public static R customError(String msg){
		R r = new R();
		r.setSuccess(false);
		r.setCode(ResultCode.CUSTOMERROR);
		r.setMessage(msg);
		return r;
	}
    public R success(Boolean success){
        this.setSuccess(success);
        return this;
    }
    public R message(String message){
        this.setMessage(message);
        return this;
    }
    public R code(Integer code){
        this.setCode(code);
        return this;
    }
//    public R data(String key, Object value){
//        this.data.put(key, value);
//        return this;
//    }
//    public R data(Map<String, Object> map){
//        this.setData(map);
//        return this;
//    }
    public R data(Object value){
        this.setData(value);
        return this;
    }
}
