package com.ims.eval.service.impl;

import com.ims.eval.entity.EvaluateReportInfo;
import com.ims.eval.dao.EvaluateReportInfoMapper;
import com.ims.eval.entity.IndicatorDictionary;
import com.ims.eval.entity.dto.request.IndicatorDictionaryDTO;
import com.ims.eval.entity.dto.response.ResponsibilityIndicatorInfoResDTO;
import com.ims.eval.service.IEvaluateReportInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.xmlbeans.impl.jam.mutable.MPackage;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 考评报告明细
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-25
 */
@Service
public class EvaluateReportInfoServiceImpl extends ServiceImpl<EvaluateReportInfoMapper, EvaluateReportInfo> implements IEvaluateReportInfoService {

	@Override
	public Map<String,List<Map>> mapByReportId(String evaluateReportId) {


		Map<String,List<Map>> datemap = new LinkedHashMap<>();
		List<EvaluateReportInfo> list = baseMapper.selectListByReportId(evaluateReportId);
		List<Map> listmap = new ArrayList<>();

		List<Map> listtitle = new ArrayList<>();
		list.stream().collect(Collectors.groupingBy(EvaluateReportInfo::getOrganizationId));

		Map<String, List<EvaluateReportInfo>> map = list.stream().collect(Collectors.groupingBy(ord -> ord.getOrganizationId() + "," + ord.getOrganizationName()));

		map.forEach((k, v) -> {
			String[] zb = k.split(",");
			if(listtitle.size()<=0){
				Map title = new LinkedHashMap();
				title.put("nameZh","单位");
				title.put("nameEh","organizationId");
				listtitle.add(title);

				for (EvaluateReportInfo info : v) {
					Map title2 = new LinkedHashMap();
					title2.put("nameZh",info.getBinStageName());
					title2.put("nameEh",info.getBinStage());
					listtitle.add(title2);
				}
				Map title2 = new LinkedHashMap();
				title2.put("nameZh","备注");
				title2.put("nameEh","remark");
				datemap.put("title",listtitle);
			}

			Map m = new LinkedHashMap();
			m.put("organizationId", zb[1]);
			for (EvaluateReportInfo info : v) {
				double c = info.getScore() * info.getDiscountScore();
				m.put(info.getBinStage(), c);
			}
			listmap.add(m);
		});

		datemap.put("body",listmap);
		return datemap;
	}

	@Override
	public List<EvaluateReportInfo> listByReportId(String evaluateReportId) {
		List<EvaluateReportInfo> list = baseMapper.selectListByReportId(evaluateReportId);
		return list;
	}
}
