package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.common.utils.StringUtils;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.EvaluateRuleInfo;
import com.ims.eval.dao.EvaluateRuleInfoMapper;
import com.ims.eval.service.IEvaluateRuleInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 考评规则信息 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
@Service
public class EvaluateRuleInfoServiceImpl extends ServiceImpl<EvaluateRuleInfoMapper, EvaluateRuleInfo> implements IEvaluateRuleInfoService {

	@Override
	public List<EvaluateRuleInfo> list(String id, String des, String indicatorId, String evaluateRuleId) {

		List<EvaluateRuleInfo> list =  baseMapper.selectListAll(id, des, indicatorId, evaluateRuleId);

		return list;
	}

	@Override
	public List<EvaluateRuleInfo> list(List<String> evaluateRuleIds) {
		QueryWrapper<EvaluateRuleInfo> qw = new QueryWrapper<>();
		if (null == evaluateRuleIds || evaluateRuleIds.size() <= 0) {
			throw new CustomException("获取规则明细参数空");
		}
		qw.lambda().in(EvaluateRuleInfo::getEvaluateRuleId, evaluateRuleIds);
		List<EvaluateRuleInfo> list = baseMapper.selectList(qw);
		return list;
	}


	@Override
	public boolean saveOrUpdate(EvaluateRuleInfo entity) {

		if (null != entity && (null == entity.getId() || "".equals(entity.getId().trim()))) {
			QueryWrapper<EvaluateRuleInfo> qw = new QueryWrapper<>();
			qw.lambda().eq(EvaluateRuleInfo::getEvaluateRuleId, entity.getEvaluateRuleId());
			qw.lambda().eq(EvaluateRuleInfo::getIndicatorId, entity.getIndicatorId());
			List<EvaluateRuleInfo> list = baseMapper.selectList(qw);
			if (null != list && list.size() > 0) {
				throw new CustomException("该指标已存在");
			}
			entity.setCreateTime(new Date());
		} else {
			entity.setUpdateTime(new Date());
		}

		return super.saveOrUpdate(entity);
	}
}
