package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.common.utils.StringUtils;
import com.ims.eval.entity.EvaluationDept;
import com.ims.eval.dao.EvaluationDeptMapper;
import com.ims.eval.service.IEvaluationDeptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 考评部门 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
@Service
public class EvaluationDeptServiceImpl extends ServiceImpl<EvaluationDeptMapper, EvaluationDept> implements IEvaluationDeptService {


	@Transactional
	@Override
	public boolean saveOrUpdate(EvaluationDept entity) {
		boolean b = false;

		b = super.saveOrUpdate(entity);

		return b;
	}


	@Override
	public List<EvaluationDept> listAll(String id, boolean enable) {

		QueryWrapper<EvaluationDept> qw = new QueryWrapper();
		if (StringUtils.isNotEmpty(id)) {
			qw.lambda().eq(EvaluationDept::getId, id);
		}

		qw.lambda().like(EvaluationDept::getEnable, enable);


		List<EvaluationDept> list = baseMapper.selectList(qw);

		return list;
	}



	@Transactional
	@Override
	public boolean saveBatch(Collection<EvaluationDept> entityList) {
		boolean b  = super.saveBatch(entityList);
		return b;
	}
}
